Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/12702/?format=api
{ "ob_id": 12702, "uuid": "348248028eb74138a867ed5b1ec0112f", "title": "ECMWF ERA-40: reduced N80 Gaussian gridded model level forecast data (ggfm)", "abstract": "ERA-40 was a European Centre for Medium-Range Weather Forecasts (ECMWF) global atmospheric reanalysis project covering the period September 1957 to August 2002. This follows on from the ERA-15 re-analysis project. The dataset includes data on surface, PV, potential temperature and pressure surfaces. Model level data available as GRIB formatted data on spectral and reduced Gaussian grids. Access limited to UK based academic researchers only", "keywords": "ECMWF, ERA, ERA-40, reanalysis, surface, model, Gaussian, N256, forecast", "publicationState": "published", "dataPublishedTime": "2006-12-10T03:17:46", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12716/?format=api", "dataPath": "/badc/ecmwf-e40/data/gg/fm/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 204052586367, "numberOfFiles": 91252, "fileFormat": "Data are GRIB formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3422/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6240/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6242/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6499/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6500/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8490/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8491/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8492/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/8493/?format=api" ], "dataLineage": "Data were generated by the ERA-40 project at European Centre for Medium-Range Weather Forecasts (ECMWF) and stored within ECMWF's archives. The BADC then obtained a copy from the ECMWF archived and ingested into the BADC archives to aid wider academic use of these data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/3809/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3806/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48535/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48536/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48534/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48538/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48539/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48540/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48541/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/48537/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/6659/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2536/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ecmwf-era-products.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }